
window.addEventListener("load",function() {

var dev = false;

var Canvas = document.getElementById("game");
var Q = Quintus({ development: dev, audioSupported: ["ogg"], frameTimeLimit: 1000 })
          .include("Sprites, Anim, Scenes, Input, UI, 2D, Audio")
          .setup( Canvas )
          .controls( true );

if(window.location.href.indexOf('nosound') == -1)
{
  Q.enableSound();
}
else
{
  document.getElementById("soundtip").innerHTML = '<a href="./index.html">Turn Sound On</a>';
}

//setup the keys

Q.input.bindKey('esc','menu');

//dev keys
if(dev)
{
  Q.input.bindKey('0','debugmode');
  Q.input.bindKey('p','restart');
}

var assets = [
                //images
                'captain.png',

                'Ship.png',
                'ShipOpen.png',
                'ShipBack.png',

                'ShipBooster.png',
                'ShipBoosterOff.png',
                'ShipBoosterUp.png',
                'ShipBoosterDown.png',

                "plants.png",
                "cabin.png",

                "asteroids.png",

                "bullet.png",

                "back_stars.png",
                "back_fade.png",

                //sounds
                "boost_high.ogg",
                "boost_low.ogg",

                "crunch1.ogg",
                "crunch2.ogg",
                "crunch3.ogg",

                "shoot.ogg",
                "woop.ogg",

                //music
                "sarahs_song.ogg",
             ];

//do any assets pushing here

//load assets and then get the game rolling
var _protect = false;
Q.load( assets, function() {

  if(_protect) return; _protect = true; //short circuit double-loads
  //remove the loading bar
  document.getElementById("loading").remove();

  //bgcolour
  Q.clearColor = '#333333';

  //include
  init_globals(Q);
  init_scenes(Q);

  init_movement(Q);
  init_player(Q);
  init_ship(Q);
  init_asteroids(Q);

  init_buffs(Q);

  Q.audio.play("sarahs_song.ogg", {loop:true});

  //nuke gravity
  Q.gravityY = 0;

  //setup the game loop

  Q.stageScene("main", 0);

  //all done
},{
progressCallback: function(loaded,total) {
  var element = document.getElementById("loading_progress");
  element.style.width = Math.floor(loaded/total*100) + "%";
}
});

});
