init_asteroids = function(Q) {

Q.sheet("asteroid", "asteroids.png", {tilew: 32, tileh:32});

Q.Sprite.extend("Asteroid", {

	init: function(p) {
		this._super(p, {
			sheet: 'asteroid',
			frame: Math.floor(Math.random() * 8),
			w: 16,
			h: 16,
			cx : 16,
			cy : 16,
			vx: -30 - Math.random() * 60,
			scale: (1+(Math.random() - 0.5))*Math.sqrt(Q.globals.difficulty * 0.1),
			type: Q.SPRITE_ENEMY,
			collisionMask: Q.SPRITE_DEFAULT
		});

		this.add("2d");

		this._timer = 0;

		this.on("hit");

		this.p.points = [
			[-8, -4],
			[-4, -8],
			[4, -8],
			[8, -4],
			[8, 4],
			[4, 8],
			[-4, 8],
			[-8, 4],
		]
	},

	hit: function(col) {
		if(col.obj)
		{
			this.p.collisionMask = this.p.collisionMask | Q.SPRITE_ENEMY; //can collide with other asteroids now

			this.p.vx = col.normalX * 100;
			this.p.vy = col.normalY * 100;

			this.p.scale *= 0.5;
			this.p.frame = Math.floor(Math.random() * 8);

			Q.audio.play("crunch"+Math.floor(Math.random()*3 + 1)+".ogg");
		}
	},

	step: function(dt) {

		this.p.angle += ((this.p.vx % 3 - 1.5) * dt * 10);

		this.p.damage = this.p.scale;

		if(this.p.x < this.stage.viewport.x || this.p.scale < 0.5)
		{
			this.destroy();
		}
	},

});

};